ONVIF::Analytics::Types::Exposure(3)

NAME
ONVIF::Analytics::Types::Exposure

DESCRIPTION
Perl data type class for the XML Schema defined complexType Exposure from the namespace http://www.onvif.org/ver10/schema.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   Mode

•   Priority

•   Window

•   MinExposureTime

•   MaxExposureTime

•   MinGain

•   MaxGain

•   MinIris

•   MaxIris

•   ExposureTime

•   Gain

•   Iris

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # ONVIF::Analytics::Types::Exposure
   Mode => $some_value, # ExposureMode
   Priority => $some_value, # ExposurePriority
   Window => ,
   MinExposureTime =>  $some_value, # float
   MaxExposureTime =>  $some_value, # float
   MinGain =>  $some_value, # float
   MaxGain =>  $some_value, # float
   MinIris =>  $some_value, # float
   MaxIris =>  $some_value, # float
   ExposureTime =>  $some_value, # float
   Gain =>  $some_value, # float
   Iris =>  $some_value, # float
 },

AUTHOR
Generated by SOAP::WSDL